Agents / REST API

Get knowledge base

Read shared Reply/SDR knowledge, active version, pending draft and GTM context. Use your coding-agent model to propose improvements without hosted inference.

GET /api/agents/knowledgeDeterministic operation

Parameters

workspaceIdOptional · string
See the input schema for this field.
Request example
curl -X GET "https://app.pipeline.help/api/agents/knowledge" \
  -H "Authorization: Bearer $PIPELINE_API_KEY"
Full input schema
Input schema
{
  "type": "object",
  "properties": {
    "workspaceId": {
      "type": "string"
    }
  },
  "required": []
}
See this operation inCLI MCP TypeScript SDK
API reference | Pipeline v2 preview